Arbitrage opportunities
curl --request GET \
--url https://api.bendbasis.com/v1/funding/arbitrageimport requests
url = "https://api.bendbasis.com/v1/funding/arbitrage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bendbasis.com/v1/funding/arbitrage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bendbasis.com/v1/funding/arbitrage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bendbasis.com/v1/funding/arbitrage"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bendbasis.com/v1/funding/arbitrage")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bendbasis.com/v1/funding/arbitrage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"timestamp": "2026-09-11T03:52:48.836Z",
"data": [
{
"base_asset": "BTC",
"apr": 22.36,
"stability": 1,
"long_market_id": 124,
"short_market_id": 1046429,
"long_exchange": "bybit",
"short_exchange": "gmx"
},
{
"base_asset": "BTC",
"apr": 19.08,
"stability": 1,
"long_market_id": 125,
"short_market_id": 1046429,
"long_exchange": "bybit",
"short_exchange": "gmx"
}
],
"next_cursor": "eyJ2IjoxLCJxIjoiXzE5aEtNSThoMEowRjJ1cVE0U3JKZG83YU55TTloNDdqX25zTE43VEo1MCIsInZhbHVlIjoxLCJzaG9ydF9tYXJrZXRfaWQiOjEwNDY0MjksImxvbmdfbWFya2V0X2lkIjoxMjV9"
}{
"code": "VALIDATION_ERROR",
"message": "Invalid parameter"
}Funding
Arbitrage opportunities
List and filter funding arbitrage opportunities
GET
/
v1
/
funding
/
arbitrage
Arbitrage opportunities
curl --request GET \
--url https://api.bendbasis.com/v1/funding/arbitrageimport requests
url = "https://api.bendbasis.com/v1/funding/arbitrage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bendbasis.com/v1/funding/arbitrage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bendbasis.com/v1/funding/arbitrage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bendbasis.com/v1/funding/arbitrage"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bendbasis.com/v1/funding/arbitrage")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bendbasis.com/v1/funding/arbitrage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"timestamp": "2026-09-11T03:52:48.836Z",
"data": [
{
"base_asset": "BTC",
"apr": 22.36,
"stability": 1,
"long_market_id": 124,
"short_market_id": 1046429,
"long_exchange": "bybit",
"short_exchange": "gmx"
},
{
"base_asset": "BTC",
"apr": 19.08,
"stability": 1,
"long_market_id": 125,
"short_market_id": 1046429,
"long_exchange": "bybit",
"short_exchange": "gmx"
}
],
"next_cursor": "eyJ2IjoxLCJxIjoiXzE5aEtNSThoMEowRjJ1cVE0U3JKZG83YU55TTloNDdqX25zTE43VEo1MCIsInZhbHVlIjoxLCJzaG9ydF9tYXJrZXRfaWQiOjEwNDY0MjksImxvbmdfbWFya2V0X2lkIjoxMjV9"
}{
"code": "VALIDATION_ERROR",
"message": "Invalid parameter"
}curl "https://api.bendbasis.com/v1/funding/arbitrage?base_assets=BTC&window=15"
Query Parameters
Calculation window in days.
Available options:
7, 15, 30 Maximum array length:
100Matches either leg.
Maximum array length:
100Required range:
1 <= x <= 500Cursor returned in next_cursor.
Available options:
apr, stability Primary sort direction. Null stability values are always last.
Available options:
asc, desc Was this page helpful?